summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2016-08-17 21:37:35 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-08-17 21:37:35 +0000
commit129a243ac748f9da5ebab43af15853ada220cfab (patch)
treecb8f7604134faa2f9e76481f33f25ef47bb9ee5e
parent1cdda4db4995f3136b672140f6116d3a3692f4fe (diff)
parentdeee062498548c499c1f57a516fcd9eeca79f6fc (diff)
Merge "Move deploy options check to network settings section"
-rwxr-xr-xlib/parse-functions.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/lib/parse-functions.sh b/lib/parse-functions.sh
index a582c28a..9c2ebff5 100755
--- a/lib/parse-functions.sh
+++ b/lib/parse-functions.sh
@@ -72,6 +72,17 @@ parse_network_settings() {
echo -e "${red}ERROR: Failed to parse network settings file $NETSETS ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses deploy settings yaml into globals
@@ -85,16 +96,6 @@ parse_deploy_settings() {
exit 1
fi
- if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
- if [ "$net_isolation_enabled" == "FALSE" ]; then
- echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
- exit 1
- fi
- if [[ ! $enabled_network_list =~ "private_network" ]]; then
- echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
- exit 1
- fi
- fi
}
##parses baremetal yaml settings into compatible json
id='n199' href='#n199'>199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408